restinio::connection_state::noop_listener_t Struct Reference

The default no-op state listener. More...

`#include <connection_state_listener.hpp>`

## Detailed Description

The default no-op state listener.

This type is used for connection_state_listener_t trait by default.

NOTE. When this type if used no calls to state listener will be generated. It means that there won't be any performance penalties related to invoking of state listener's state_changed() method.

Since
  v.0.5.1

Definition at line 273 of file connection_state_listener.hpp.

The documentation for this struct was generated from the following file:

- restinio/connection_state_listener.hpp